<html>
<head>
<title>OGRE: Ogre::MemoryManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MemoryManager.html">MemoryManager</a></div>
<h1>Ogre::MemoryManager Class Reference</h1><!-- doxytag: class="Ogre::MemoryManager" -->See the <a class="el" href="memory_manager.html">The memory manager information page</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMemoryManager_8h-source.html">OgreMemoryManager.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1MemoryManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#b4d7541010794af9efee9a31a73f838f">MemoryManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#013ac1adc906d67b5a680f20ad083ca6">~MemoryManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#ce66c6cac994f430469005d6fd909bb8">allocMem</a> (const char *szFile, size_t uLine, size_t count)  throw ( )</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory allocator - uses plain old malloc.  <a href="#ce66c6cac994f430469005d6fd909bb8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#53fdd03bc44c22ef51e635bd1d934158">rllocMem</a> (const char *szFile, size_t uLine, void *ptr, size_t count)  throw ( )</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory re-allocator - uses plain old realloc.  <a href="#53fdd03bc44c22ef51e635bd1d934158"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#cd115c1ad93777fd5781d5f9ac17e581">cllocMem</a> (const char *szFile, size_t uLine, size_t num, size_t size)  throw ( )</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory allocator - uses plain old calloc.  <a href="#cd115c1ad93777fd5781d5f9ac17e581"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#476cd4b657d342875a941ab5af1f51ef">dllocMem</a> (const char *szFile, size_t uLine, void *ptr)  throw ( )</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory de-allocator - uses plain old free.  <a href="#476cd4b657d342875a941ab5af1f51ef"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1MemoryManager.html">MemoryManager</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryManager.html#5d8cacb7d532ba4919481db12cc82c64">instance</a> (void)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
See the <a class="el" href="memory_manager.html">The memory manager information page</a>. 
<p>Definition at line <a class="el" href="OgreMemoryManager_8h-source.html#l00392">392</a> of file <a class="el" href="OgreMemoryManager_8h-source.html">OgreMemoryManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b4d7541010794af9efee9a31a73f838f"></a><!-- doxytag: member="Ogre::MemoryManager::MemoryManager" ref="b4d7541010794af9efee9a31a73f838f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::MemoryManager::MemoryManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="013ac1adc906d67b5a680f20ad083ca6"></a><!-- doxytag: member="Ogre::MemoryManager::~MemoryManager" ref="013ac1adc906d67b5a680f20ad083ca6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::MemoryManager::~MemoryManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5d8cacb7d532ba4919481db12cc82c64"></a><!-- doxytag: member="Ogre::MemoryManager::instance" ref="5d8cacb7d532ba4919481db12cc82c64" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1MemoryManager.html">MemoryManager</a>&amp; Ogre::MemoryManager::instance           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ce66c6cac994f430469005d6fd909bb8"></a><!-- doxytag: member="Ogre::MemoryManager::allocMem" ref="ce66c6cac994f430469005d6fd909bb8" args="(const char *szFile, size_t uLine, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::MemoryManager::allocMem           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>szFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%">  throw ( )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Memory allocator - uses plain old malloc. 
<p>

</div>
</div><p>
<a class="anchor" name="53fdd03bc44c22ef51e635bd1d934158"></a><!-- doxytag: member="Ogre::MemoryManager::rllocMem" ref="53fdd03bc44c22ef51e635bd1d934158" args="(const char *szFile, size_t uLine, void *ptr, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::MemoryManager::rllocMem           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>szFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%">  throw ( )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Memory re-allocator - uses plain old realloc. 
<p>

</div>
</div><p>
<a class="anchor" name="cd115c1ad93777fd5781d5f9ac17e581"></a><!-- doxytag: member="Ogre::MemoryManager::cllocMem" ref="cd115c1ad93777fd5781d5f9ac17e581" args="(const char *szFile, size_t uLine, size_t num, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::MemoryManager::cllocMem           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>szFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>num</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%">  throw ( )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Memory allocator - uses plain old calloc. 
<p>

</div>
</div><p>
<a class="anchor" name="476cd4b657d342875a941ab5af1f51ef"></a><!-- doxytag: member="Ogre::MemoryManager::dllocMem" ref="476cd4b657d342875a941ab5af1f51ef" args="(const char *szFile, size_t uLine, void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MemoryManager::dllocMem           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>szFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>ptr</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%">  throw ( )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Memory de-allocator - uses plain old free. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryManager_8h-source.html">OgreMemoryManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:33 2008
</p>
</body>
</html>
